# $Revision: 1.4 $, $Date: 2002/05/22 20:30:50 $
#
# TODO:
# - add desktop file.
#
Summary:	Real-time audio effects processor
Summary(pl):	Procesor efektw dwikowych czasu rzeczywistego
Name:		stompboxes2
Version:	0.2
Release:	1
License:	GPL
Group:		X11/Applications/Multimedia
Vendor:		Hector Urtubia <urtubia@mrbook.org>
Source0:	http://mrbook.org/stompboxes/%{name}-%{version}.tar.gz
Patch0:		%{name}-Makefile.in.patch
URL:		http://mrbook.org/stompboxes/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
Real-time audio effects processor.

%description -l pl
Procesor efektw dwikowych czasu rzeczywistego.

%prep
%setup  -q
%patch0 -p1

%build
rm -f missing
aclocal
%{__autoconf}
autoheader
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}/plugins,%{_pixmapsdir}/%{name}}

install %{name} $RPM_BUILD_ROOT%{_bindir}
install plugins/*.so $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins
install pixmaps/*.xpm $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}
ln -s %{_pixmapsdir}/%{name} $RPM_BUILD_ROOT%{_datadir}/%{name}/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/QUICKSTART ChangeLog LOG README
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%attr(755,root,root) %{_datadir}/%{name}/plugins/*
%{_datadir}/%{name}/pixmaps
%{_pixmapsdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: stompboxes2.spec,v $
Revision 1.4  2002/05/22 20:30:50  kloczek
TODO: - add desktop file.

Revision 1.3  2002/05/22 20:30:04  kloczek
- added Makefile.in patch (use corect CC and compilations flags passed to
  autoconf),
- use new %doc packing infrastructure.

Revision 1.2  2002/05/21 23:14:47  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.1  2002/04/02 21:25:04  gotar
- initial revision,
- dunno if the plugins shall be stripped as they are, it segfaults.
